Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1494119 - New package: python-networking-baremetal
Summary: New package: python-networking-baremetal
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: trunk
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: trunk
Assignee: Javier Peña
QA Contact: hguemar
URL:
Whiteboard:
Depends On:
Blocks: RDO-QUEENS
TreeView+ depends on / blocked
 
Reported: 2017-09-21 13:40 UTC by Harald Jensås
Modified: 2018-01-23 13:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-23 13:47:39 UTC
jpena: rdo-review+


Attachments (Terms of Use)

Description Harald Jensås 2017-09-21 13:40:32 UTC
Description of problem:

networking-baremetal plugin
---------------------------

This project's goal is to provide deep integration between the Networking
service and the Bare Metal service and advanced networking features like
notifications of port status changes and routed networks support in clouds
with Bare Metal service.

* Free software: Apache license
* Documentation: http://docs.openstack.org/networking-baremetal/latest
* Source: http://git.openstack.org/cgit/openstack/networking-baremetal
* Bugs: http://bugs.launchpad.net/networking-baremetal

Comment 1 David Moreau Simard 2017-10-06 15:20:34 UTC
Hi Harald,

While there's no particular requirements for a package to be included in RDO other than the time of someone to do the work, I have some concerns around networking-baremetal.

Looking at the repository [1], we see 11 commits, two contributors and the last meaningful commit dates back to March 2017, 7 months ago.

Packaging a project in RDO not only requires maintenance from the RDO community but also from the upstream project as well if we happen to find any problems.

I am not very confident that the project has sufficient upstream development, usage and maintenance in order for us to package it.

Since you are requesting a package for it, perhaps you're aware of things we aren't.
Could you provide some context around your request and maybe details about what you know of the state of the project ?

Thanks.

[1]: https://github.com/openstack/networking-baremetal

Comment 2 Harald Jensås 2017-10-06 17:47:22 UTC
Hi David,

The barametal-networking is part of the puzzle to ironic physical network awareness[1]. 

A lot of the work[2] landed in Pike. As a follow up to this the networking-baremetal repo will include a new ML2 driver as well as the agent responsible to populate host to physical network mapping information in neutron. More details here [3].

Considering that Pike was just recently released, and the ironic physical network awereness with it, this is not widely used yet. There are however features in tripleo and in distributed NFVi that depend on the ML2 driver and the agent that will be part of baremetal-networking.

[1] https://bugs.launchpad.net/ironic/+bug/1666009
[2] https://review.openstack.org/#/q/topic:bug/1666009
[3] http://lists.openstack.org/pipermail/openstack-dev/2017-June/119031.html

Comment 4 David Moreau Simard 2017-10-06 18:18:00 UTC
Thanks for the details Harald, much appreciated, I think that clears things up.

Comment 5 Alan Pevec 2017-10-09 09:29:27 UTC
License is ASL 2.0, the import to review.rdoproject.org can proceed:

$ licensecheck -r networking-baremetal
networking-baremetal/.gitreview: *No copyright* UNKNOWN
networking-baremetal/.testr.conf: *No copyright* UNKNOWN
networking-baremetal/CONTRIBUTING.rst: *No copyright* UNKNOWN
networking-baremetal/HACKING.rst: *No copyright* UNKNOWN
networking-baremetal/LICENSE: *No copyright* Apache (v2.0)
networking-baremetal/MANIFEST.in: *No copyright* UNKNOWN
networking-baremetal/README.rst: *No copyright* UNKNOWN
networking-baremetal/babel.cfg: *No copyright* UNKNOWN
networking-baremetal/requirements.txt: *No copyright* UNKNOWN
networking-baremetal/setup.cfg: *No copyright* Apache
networking-baremetal/setup.py: Apache (v2.0) GENERATED FILE
networking-baremetal/test-requirements.txt: *No copyright* UNKNOWN
networking-baremetal/tox.ini: *No copyright* UNKNOWN
networking-baremetal/devstack/plugin.sh: *No copyright* UNKNOWN
networking-baremetal/devstack/settings: *No copyright* UNKNOWN
networking-baremetal/networking_baremetal/__init__.py: *No copyright* Apache (v2.0)
networking-baremetal/networking_baremetal/_i18n.py: *No copyright* Apache (v2.0)
networking-baremetal/tools/flake8wrap.sh: *No copyright* UNKNOWN
networking-baremetal/tools/run_bashate.sh: *No copyright* Apache (v2.0)
networking-baremetal/tools/tox_install.sh: *No copyright* UNKNOWN
networking-baremetal/doc/source/conf.py: *No copyright* Apache (v2.0)
networking-baremetal/doc/source/index.rst: *No copyright* UNKNOWN
networking-baremetal/networking_baremetal/tests/base.py: Apache (v2.0)
networking-baremetal/releasenotes/notes/add-initial-note-8f08fd95b0149b2c.yaml: *No copyright* UNKNOWN
networking-baremetal/releasenotes/source/conf.py: *No copyright* Apache (v2.0) GENERATED FILE
networking-baremetal/releasenotes/source/index.rst: *No copyright* UNKNOWN
networking-baremetal/releasenotes/source/pike.rst: *No copyright* UNKNOWN
networking-baremetal/releasenotes/source/unreleased.rst: *No copyright* UNKNOWN
networking-baremetal/doc/source/contributor/index.rst: *No copyright* UNKNOWN
networking-baremetal/doc/source/contributor/quickstart.rst: *No copyright* UNKNOWN
networking-baremetal/doc/source/install/index.rst: *No copyright* UNKNOWN
networking-baremetal/networking_baremetal/plugins/ml2/baremetal_mech.py: Apache (v2.0)
networking-baremetal/networking_baremetal/tests/unit/plugins/ml2/test_baremetal_mech.py: Apache (v2.0)
networking-baremetal/networking_baremetal/tests/unit/plugins/ml2/utils.py: Apache (v2.0)

Comment 6 Javier Peña 2017-12-12 14:06:47 UTC
The distgit repository was created in review.rdoproject.org, but I have not found any open review for the spec file.

Is there still interest in getting this package in RDO? If so, please follow step 3 in https://www.rdoproject.org/documentation/add-packages/#how-to-add-a-new-openstack-package-to-rdo-trunk and open a review for the initial spec import.

Comment 7 Harald Jensås 2017-12-13 14:28:34 UTC
Thanks for the reminder.
We need to package this, just prioritizing getting some changes in the project done.

Comment 10 Javier Peña 2018-01-10 11:06:41 UTC
Review notes:

- The notes about source0 tarball generation are expected, since the SRPM was generated by DLRN.
- The same applies to the %define requiring justification.
- The notes about embedded fonts and license.png are expected. These files are part of the generated documentation in the -doc subpackage.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file license.png is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "*No copyright* Apache", "Unknown or
     generated", "*No copyright* Apache (v2.0)". 30 files have unknown
     license. Detailed output of licensecheck in /tmp/python-networking-
     baremetal/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -networking-baremetal , python2-networking-baremetal-tests , python-
     networking-baremetal-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define upstream_version
     0.1.1.dev8
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python2-networking-baremetal-0.1.1-0.20180109181135.79a9a29.el7.centos.noarch.rpm
          python2-networking-baremetal-tests-0.1.1-0.20180109181135.79a9a29.el7.centos.noarch.rpm
          python-networking-baremetal-doc-0.1.1-0.20180109181135.79a9a29.el7.centos.noarch.rpm
          python-networking-baremetal-0.1.1-0.20180109181135.79a9a29.el7.centos.src.rpm
python2-networking-baremetal.noarch: E: no-changelogname-tag
python2-networking-baremetal.noarch: W: no-documentation
python2-networking-baremetal-tests.noarch: E: no-changelogname-tag
python2-networking-baremetal-tests.noarch: W: no-documentation
python-networking-baremetal-doc.noarch: E: no-changelogname-tag
python-networking-baremetal.src: E: no-changelogname-tag
python-networking-baremetal.src: W: invalid-url Source0: networking-baremetal-0.1.1.dev8-0.20180109181135.79a9a29.tar.gz
4 packages and 0 specfiles checked; 4 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
python2-networking-baremetal.noarch: E: no-changelogname-tag
python2-networking-baremetal.noarch: W: invalid-url URL: https://pypi.python.org/pypi/networking-baremetal <urlopen error [Errno -2] Name or service not known>
python2-networking-baremetal.noarch: W: no-documentation
python-networking-baremetal-doc.noarch: E: no-changelogname-tag
python-networking-baremetal-doc.noarch: W: invalid-url URL: https://pypi.python.org/pypi/networking-baremetal <urlopen error [Errno -2] Name or service not known>
python2-networking-baremetal-tests.noarch: E: no-changelogname-tag
python2-networking-baremetal-tests.noarch: W: invalid-url URL: https://pypi.python.org/pypi/networking-baremetal <urlopen error [Errno -2] Name or service not known>
python2-networking-baremetal-tests.noarch: W: no-documentation
3 packages and 0 specfiles checked; 3 errors, 5 warnings.



Requires
--------
python2-networking-baremetal (rpmlib, GLIBC filtered):
    python(abi)
    python-neutron-lib
    python-oslo-config
    python-oslo-i18n
    python-oslo-log
    python-pbr

python-networking-baremetal-doc (rpmlib, GLIBC filtered):

python2-networking-baremetal-tests (rpmlib, GLIBC filtered):
    python(abi)
    python-mock
    python-neutron-tests
    python-oslotest
    python-subunit
    python2-networking-baremetal



Provides
--------
python2-networking-baremetal:
    python-networking-baremetal
    python2-networking-baremetal

python-networking-baremetal-doc:
    python-networking-baremetal-doc

python2-networking-baremetal-tests:
    python2-networking-baremetal-tests



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -n python-networking-baremetal -m dlrn -r
Buildroot used: dlrn-centos7-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

The package is APPROVED.

Comment 11 Javier Peña 2018-01-23 13:47:39 UTC
Package is already in RDO Trunk, so closing bug.


Note You need to log in before you can comment on or make changes to this bug.